{
	"format_version": "1.10.0",
	"animation_controllers": {
		"controller.animation.manalabs_scp.scp096.calming_down": {
			"initial_state": "init",
			"states": {
				"init": {
					"transitions": [
						{
							"default": "!query.has_target"
						}
					]
				},
				"default": {
					"on_entry": ["@s scp096_calm"],
					"animations": ["crying"],
					"transitions": [
						{
							"init": "query.has_target"
						}
					]
				}
			}
		},
		"controller.animation.manalabs_scp.scp096.crying": {
			"initial_state": "init",
			"states": {
				"init": {
					"transitions": [
						{
							"default": "1.0"
						}
					]
				},
				"default": {
					"on_entry": ["variable.crying_delay = query.life_time + math.random(29, 35);", "/playsound manalabs_scp.scp096.crying @a[r=60] ~ ~ ~ 1 1 0.7"],
					"transitions": [
						{
							"init": "variable.crying_delay < query.life_time"
						}
					],
					"on_exit": ["/stopsound @a[r=60] manalabs_scp.scp096.crying"]
				}
			}
		},
		"controller.animation.manalabs_scp.scp096.spawn_controll": {
			"initial_state": "init",
			"states": {
				"init": {
					"transitions": [
						{
							"default": "1.0"
						}
					]
				},
				"default": {
					"on_entry": ["/execute if entity @e[type=manalabs_scp:scp096,rm=1,r=60] run event entity @s despawn"]
				}
			}
		}
	}
}